package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomConfig;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComRoomConfigMapper {
    long countByExample(ThirdPartWeComRoomConfigExample example);

    int deleteByExample(ThirdPartWeComRoomConfigExample example);

    int deleteByPrimaryKey(String id);

    int insert(ThirdPartWeComRoomConfig record);

    int insertSelective(ThirdPartWeComRoomConfig record);

    List<ThirdPartWeComRoomConfig> selectByExample(ThirdPartWeComRoomConfigExample example);

    ThirdPartWeComRoomConfig selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComRoomConfig record, @Param("example") ThirdPartWeComRoomConfigExample example);

    int updateByExample(@Param("record") ThirdPartWeComRoomConfig record, @Param("example") ThirdPartWeComRoomConfigExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComRoomConfig record);

    int updateByPrimaryKey(ThirdPartWeComRoomConfig record);
}